if [ "$changelog" = yes ]; then
if test -e .git; then
- echo "Making top-level ChangeLog"
- make ChangeLog CHANGELOG=${tempdir}/ChangeLog || \
- { x=$?; echo "make ChangeLog FAILED (try --no-changelog?)" >&2; exit $x; }
+ ## When making a release or pretest the ChangeLog should already
+ ## have been created and edited as needed. Don't ignore it.
+ if test -e ChangeLog; then
+ echo "Using existing top-level ChangeLog"
+ else
+ echo "Making top-level ChangeLog"
+ make ChangeLog CHANGELOG=${tempdir}/ChangeLog || \
+ { x=$?; echo "make ChangeLog FAILED (try --no-changelog?)" >&2; exit $x; }
+ fi
else
echo "No repository, so omitting top-level ChangeLog"
fi
ln INSTALL README BUGS ${tempdir}
ln ChangeLog.*[0-9] Makefile.in autogen.sh configure configure.ac ${tempdir}
ln config.bat make-dist .dir-locals.el ${tempdir}
-ln aclocal.m4 CONTRIBUTE ${tempdir}
+ln aclocal.m4 CONTRIBUTE ChangeLog ${tempdir}
echo "Creating subdirectories"
for subdir in site-lisp \